.area {
  width: 46.5rem;
  min-height: 31.625rem;
  background: #242731;
  border: 1px solid #00e8b0;
  box-sizing: border-box;
  box-shadow: 0px 4px 0px #bef7e9;
  .header {
    width: 100%;
    height: 9.375rem;
    justify-content: center;
    display: flex;
    align-items: center;
    // background-image: url('~libs/ui/src/assets/images/bg-ps.png');
    background-image: url('https://portal.battlecity.io/tanks_background.805917e43564e011.png');
    background-size: cover;
    background-repeat: no-repeat;
    .h-text {
      font-family: Kanit;
      font-style: normal;
      font-weight: 500;
      font-size: 2rem;
      line-height: 1.5rem;
      color: #ffffff;
    }
    .close {
      position: absolute;
      cursor: pointer;
      color: white;
      top: 0.5rem;
      right: 1rem;
    }
  }
  .body {
    padding: 1rem 3.125rem 0 3.6875rem;
    .countdown {
      text-align: center;
      .t-area {
        justify-content: center;
        display: flex;
        .t-text {
          display: grid;
        }
      }
      .time {
        margin-top: 0.625rem;
        margin-right: 0.625rem;
        font-family: Kanit;
        font-style: normal;
        font-weight: 600;
        font-size: 1.5rem;
        line-height: 1.5rem;
        color: #97a3b4;
      }

      .pink {
        color: #ff36d3;
      }
    }
    .detail {
      margin-top: 2.8125rem;
      .line {
        border-right: 1px solid #57586c;
      }
    }
    .wallet {
      text-align: center;
      margin-top: 1.75rem;
      .address {
        font-family: Kanit;
        font-style: normal;
        font-weight: 500;
        font-size: 0.9375rem;
        line-height: 1.5rem;
        text-align: center;
        color: #ffffff;
      }
      .copy {
        margin-left: 0.9375rem;
        cursor: pointer;
        background: linear-gradient(180deg, #7a6fff 5.67%, #5fd5dd 98.22%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        font-family: Kanit;
        font-style: normal;
        font-weight: normal;
        font-size: 0.9375rem;
        line-height: 1.5rem;
        text-align: justify;
      }
    }
    .submit {
      justify-content: center;
      display: flex;
      align-items: center;
      .button {
        width: 13.5rem;
        height: 3rem;
        margin-top: 3.125rem;
        background: #ff36d3;
        font-family: Kanit;
        font-style: normal;
        font-weight: 500;
        font-size: 0.9375rem;
        line-height: 1.5rem;
        color: #ffffff;
      }
    }
    .form {
      margin-top: 2.3125rem;
      margin-bottom: 3.625rem;
      .info {
        display: grid;
        .r-custom {
          display: grid;
        }
        .t-info {
          font-family: Kanit;
          font-style: normal;
          font-weight: normal;
          font-size: 0.8125rem;
          line-height: 1.5rem;
          text-align: justify;
          color: #2bd9ff;
        }
        .input {
          padding: 0.625rem;
          background: #1d2028;
          border: 1px solid #353645;
          color: white;
          font-family: Kanit;
          font-style: normal;
          font-weight: normal;
          font-size: 0.8125rem;
          line-height: 1.1875rem;
          width: 19.5rem;
        }
        .submit {
          &:hover {
            transform: scale(1.02);
          }
          margin-top: 0.625rem;
          width: 19.5rem;
          background: #ff36d3;
          border: none;
          height: 2.5rem;
          font-family: Kanit;
          font-style: normal;
          font-weight: normal;
          font-size: 0.8125rem;
          line-height: 1.1875rem;
          color: #ffffff;
        }

        .loading {
          cursor: default !important;
          &:hover {
            transform: scale(1) !important;
          }
        }
      }
      .t-space {
        margin: 0.625rem;
      }
    }
    .title {
      font-family: Kanit;
      font-style: normal;
      font-weight: normal;
      font-size: 0.9375rem;
      line-height: 1.5rem;
      text-align: center;
      color: #97a3b4;
    }
    .text {
      font-family: Kanit;
      font-style: normal;
      font-weight: 600;
      font-size: 1rem;
      line-height: 1.5rem;
      text-align: center;
      color: #97a3b4;
    }
  }
  .left {
    text-align: left !important;
  }

  .line-top {
    border-top: 0.5px solid #57586c;
  }
  .footer {
    padding: 1.375rem 4.8125rem 1.75rem 3.6875rem;
    .t-footer {
      font-family: Kanit;
      font-style: normal;
      font-weight: normal;
      font-size: 0.6875rem;
      line-height: 1rem;
      text-align: justify;
      color: #97a3b4;
    }
  }
  .detail-sm {
    display: none;
    margin-top: 2.8125rem;
    .custom {
      width: 100%;
      display: flex;
      .title,
      .text {
        text-align: left !important;
      }
    }
  }
  .error {
    color: red !important;
  }
  .error:first-letter {
    text-transform: uppercase;
  }
}
::ng-deep .p-dialog .p-dialog-header,
.p-dialog .p-dialog-footer {
  display: none;
}

::ng-deep .p-component-overlay {
  background-color: rgba(0, 0, 0, 0.8) !important;
}

::ng-deep .p-dialog .p-dialog-content {
  padding: 0;
}

@media only screen and (max-width: 767px) {
  .area {
    width: 28.25rem;
    .header {
      width: 100%;
      background-size: 100% 100%;
    }
    .body {
      padding: 1rem 0 0 0;
      .detail {
        display: none;
      }
      .detail-sm {
        display: block;
        padding-left: 2rem;
      }
      .form {
        .t-space {
          margin: 0.125rem;
        }
        .info {
          justify-content: center;
          .r-custom {
            display: flex;
            span + span {
              margin-left: 1rem;
            }
          }
        }
      }
    }
    .register {
      margin-top: 1rem;
    }
  }
}

.line-bot {
  margin-top: 2rem;
  background: #1d2028;
  .line-gra {
    height: 1px;
    background: linear-gradient(
      90deg,
      rgba(65, 221, 255, 0) -0.03%,
      #41ddff 32.79%,
      #41ddff 59.88%,
      rgba(65, 221, 255, 0) 100%
    );
    opacity: 0.5;
  }
}